'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _CircularProgress = require('./CircularProgress.scss');

var _CircularProgress2 = _interopRequireDefault(_CircularProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SIZE = {
	small: 'small',
	default: 'default',
	large: 'large'
};

/**
 * @param {object} props react props
 * @example
<CircularProgress size="large" />
 */
function CircularProgress(_ref) {
	var _classNames;

	var size = _ref.size;
	var light = _ref.light;

	var classes = (0, _classnames2.default)(_CircularProgress2.default.loader, (_classNames = {}, _defineProperty(_classNames, _CircularProgress2.default.loaderlight, light), _defineProperty(_classNames, _CircularProgress2.default.small, size === SIZE.small), _defineProperty(_classNames, _CircularProgress2.default.default, size === SIZE.default), _defineProperty(_classNames, _CircularProgress2.default.large, size === SIZE.large), _classNames));
	return _react2.default.createElement(
		'svg',
		{
			className: classes,
			x: '0px',
			y: '0px',
			viewBox: '0 0 50 50'
		},
		_react2.default.createElement('circle', { className: _CircularProgress2.default.path, cx: '25', cy: '25', r: '20', fill: 'none', strokeWidth: '5' })
	);
}

CircularProgress.propTypes = {
	size: _react.PropTypes.oneOf([SIZE.small, SIZE.default, SIZE.large]),
	light: _react.PropTypes.bool
};

CircularProgress.defaultProps = {
	size: SIZE.default
};

exports.default = CircularProgress;